#
# spec file for package lxqt-build-tools
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lxqt-build-tools
Version:        0.4.0
Release:        lp150.1.3
Summary:        Core build tools for LXQt
License:        BSD-3-Clause
Group:          Development/Libraries/C and C++
Url:            http://www.lxqt.org
Source:         https://github.com/lxde/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz
Source1:        https://github.com/lxde/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz.asc
BuildRequires:  cmake >= 3.0.2
BuildRequires:  pkgconfig(Qt5Core) >= 5.6.1
BuildRequires:  pkgconfig(glib-2.0) >= 2.50
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This package provides several tools needed to build LXQt itself as well as other components maintained by the LXQt project.

%package devel
Summary:        Tools for building lxqt
Group:          Development/Libraries/C and C++
Requires:       pkgconfig
Requires:       pkgconfig(Qt5Core)

%description devel
This package provides several tools needed to build LXQt itself as well as other components maintained by the LXQt project.

These tools used to be spread over the repositories of various other components and were summarized to ease dependency management. So far many components, in particular [liblxqt](https://github.com/lxde/liblxqt), were representing a build dependency without being needed themselves but only because their repository was providing a subset of the tools which are now summarized here. So the use of this repository will reduce superfluous and bloated dependencies.

%prep
%setup -q

%build
%cmake -DPULL_TRANSLATIONS=No
make %{?_smp_mflags}

%install
%cmake_install

%files devel
%defattr (-,root,root)
%doc AUTHORS BSD-3-Clause CHANGELOG README.md
%{_datadir}/cmake/

%changelog
* Mon Oct 23 2017 mvetter@suse.com
- Update to 0.4.0:
  * Bump version to 0.4.0
  * Added needed versions
  * remove version set from LXQtConfigVars.in
  * Move LXQt version to liblxqt
  * Fixes a FTBFS with superbuild mode
  * Adds a FindExif module
  * LXQtCompilerSettings: Fixes a typo in diagnostics-color
  * Adds (Ninja) colored diagnostics for GCC (>=4.9)
  * Enable strict iterators for debug builds
* Tue Jun 20 2017 alarrosa@suse.com
- Update to 0.3.2
  * Bump version to 0.3.2 - finally the build tools are arch: all (#15)
  * Warnings (#16)
  * Remove arched bits from version.cmake-file (#14)
  * Fixed missing point in version string
- Update Source URLs
* Sat Mar  4 2017 sfalken@opensuse.org
- Update Source URLs
- Normalize .spec file to match with version in X11:LXQt:git
* Sat Mar  4 2017 mvetter@suse.com
- Install BSD License file
* Thu Feb 23 2017 sfalken@opensuse.org
- Initial Commit.   New Package that will be needed for building
  lxqt going forward.
